/**
  *  \file client/dialogs/baseshipbuild.h
  *  \brief WBaseShipBuildDialog dialog
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_BASEBUILDSHIP_H
#define PCC_V2_CLIENT_DIALOGS_BASEBUILDSHIP_H

#include <vector>
#include "client/dialogs/shipbuilddlg.h"

/** Starbase ship build dialog. This is a ship build dialog with
    controls to actually build ships on a starbase. */
class WBaseShipBuildDialog : public WShipBuildDialog {
    GPlanet& planet;

    void onOk();
    void onCancel();
    void onCancelBuild();
    void onToggleUseParts();
    void updateUseParts();
    void init();
 public:
    WBaseShipBuildDialog(GPlanet& planet, std::vector<int>& hulls);
    ~WBaseShipBuildDialog();
};

void cancelAllCloneOrders(GPlanet& planet);

#endif
