/**
  *  \file client/tiles/histpostile.h
  *  \brief WHistoryShipPositionTile tile
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_HISTPOSTILE_H
#define PCC_V2_CLIENT_TILES_HISTPOSTILE_H

#include "cpluslib/sigslot.h"
#include "client/wtile.h"
#include "game/objtypes.h"

class WHistoryObjectSelection;
class WHistoryShipPositionList;

/** History ship position tile. Displays a WHistoryShipPositionList. 
    The user can choose a turn. If this tile observes a
    WHistoryObjectSelection, its turn will be updated with the user's
    selection on this tile (and vice versa). */
class WHistoryShipPositionTile : public WTile, public GObjectSelectionObserver {
    ObjectHolder holder;
    SignalConnection conn_turn;
    WHistoryObjectSelection* hot;
    WHistoryShipPositionList* list;

    void init();
    void onMove();
    void onTurnChange();
 public:
    WHistoryShipPositionTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
    void onObjectChanged();
};

#endif
