/**
  *  \file client/widgets/goalinput.cc
  *  \brief Build Goal Input Widget
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "client/widgets/goalinput.h"
#include "util/nls.h"

WGoalInput::~WGoalInput()
{ }

bool
WGoalInput::handleEvent(const UIEvent& event, bool second_pass)
{
    if (event.type == ev_Key && event.key.code == ss_Alt + 'd') {
        if (getMin() < 0) {
            setValue(-1);
            setDisplayState(true);
        }
        return true;
    }

    return UIDecimalSelector::handleEvent(event, second_pass);
}

string_t
WGoalInput::getStringValue()
{
    if (getValue() < 0) {
        /* UIDecimalSelector has a fixed width of 5em, so keep this short. */
        return _("[keep]");
    } else {
        return UIDecimalSelector::getStringValue();
    }
}
