/**
  *  \file int/if/mapmsgif.h
  */
#ifndef PCC_V2_INT_IF_MAPMSGIF_H
#define PCC_V2_INT_IF_MAPMSGIF_H

#include <vector>
#include "int/compound.h"
#include "int/context.h"

class IntMappedMessageValue : public IntIndexableValue {
 public:
    IntMappedMessageValue(const std::vector<int> nrs);

    // IntIndexableValue:
    IntValue* get(IntArgBlock& args);
    void set(IntArgBlock& args, IntValue* value);
    int32_t getDimension(int32_t dim);
    IntContext* makeFirstContext();

    // IntValue:
    IntMappedMessageValue* clone();
    string_t toString(bool readable);
    void store(IntTagNode& sv, Stream& aux);

    static IntMappedMessageValue* create(const std::vector<int> nrs);

 private:
    std::vector<int> nrs;
};

#endif
